### Method

# Goa Account set_provider_icon

#### Declaration [src]

    void
    goa_account_set_provider_icon (
      GoaAccount* object,
      const gchar* value
    )

#### Description [src]

Sets the “ProviderIcon” D-Bus property to `value`.

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

This method is not directly available to language bindings.

Sets property | `Goa.Account:provider-icon`

#### Parameters

`value`

  Type: `const gchar*`

  The value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.